@import '../../../../src/styles.scss';

.contact-container {
  position: relative;
  width: 100%;
  height: 100%;
  background: white;
  padding: 10px;
  border-radius: 0px 10px 10px 0px;
  -webkit-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  -moz-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  z-index: 1;
  overflow: hidden;
}

.contact-header {
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  height: 50px;
}

.contact-header-title {
  flex: 1;
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  align-items: center;
  padding-left: 10px;
  font-size: 16px;
  &-first {
    position: absolute;
    border-radius: 100%;
    left: 14px;
    top: 26px;
    height: 25px;
    width: 25px;
    background-image: $app-gradient-faded;
  }
}

.contact-content-addresses {
  display: flex;
  flex-flow: column;
  flex: 1;
  justify-content: space-evenly;
  padding-left: 40px;
  font-size: 12px;
  &-space {
    margin-left: 20px;
  }
}

.contact-content {
  display: flex !important; // because overrided with the slim scrollbar
  flex-flow: column;
  overflow-y: auto;
  overflow-x: hidden;
  margin-top: 5px;
  height: 470px;
}

.contact-content-addresses-title {
  margin-left: 20px;
}

.contact-form-title {
  margin-left: 20px;
  padding-top: 20px;
}

.contact-form {
  flex: 2;
  justify-content: space-around;
}

.contact-form-content {
  margin-left: 40px;
  display: flex !important; // because overrided with the slim scrollbar
  flex-flow: row wrap;
  margin-top: 5px;
  padding-bottom: 10px;
  > * {
    flex: 1 1 200px;
    min-width: 200px;
  }
}

.contact-form-form {
  min-width: 150px;
  // max-width: 500px;
  width: 100%;
}

.contact-full-width {
  width: 100%;
}

.contact-form-message, .contact-form-message-textarea {
  max-height: 60px;
}

.contact-form-message {
  margin-bottom: 10px;
}

.contact-form-content-mff {
  padding-right: 10px;
}

input, textarea {
  font-size: 12px;
}

.contact-form-placeholder {
  font-size: 14px;
}

.contact-form-submit {
  position: relative;
  display: flex;
  flex-flow: row;
  justify-content: center;
  margin-top: 5px;
  padding-bottom: 10px;
  margin-left: -20px;
}

.contact-form-submit-button {
  text-decoration: none;
  text-align: center;
  cursor: pointer;
  border-radius: 5px;
  background-color: transparent;
  box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
  border: none;
  outline:none;

  &:hover {
    // TODO: put back this when the functionality is ready
    //box-shadow: 0 2px 5px rgba(0, 0, 0, .2);
    //background-image: $app-gradient;
    //color: white;
    .contact-button-icon {
      // TODO: put back this when the functionality is ready
      //-webkit-animation: pulse1 2s infinite ease-in-out;
      //animation: pulse1 2s infinite ease-in-out;
      //color: white;
    }
  }
}

.contact-button-icon {
  // TODO: also change the color
  // color: $main-color;
  color: grey;
   margin-left: 5px;
 }

.contact-form-cancel-button {
  margin-left: 10px;
}

@keyframes pulse1 {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.25;
  }
  100% {
    opacity: 1;
  }
}


@media screen and (max-width: 1000px) {
  .slimscroll-wrapper, .contact-content {
    height: 425px;
  }
}

@media screen and (max-width: 900px) {
  .slimscroll-wrapper {
    height: 90vh !important;
  }
  .contact-content {
    height: 100%;
  }
  .contact-container {
    border-radius: 0;
  }
}

// FIXME: temporary class in order to make the contact component look nice on mobile
@media screen and (max-width: 420px) {
  .contact-header-title {
    padding-left: 50px;
    &-first {
      left: 54px;
    }
  }
}
